MONGOC_STREAM_WRITE(3)

NAME
mongoc_stream_write() - The mongoc_stream_write() function shall perform a write to a mongoc_stream_t. It's modeled on the API and semantics of write(), though the parameters map only loosely.

SYNOPSIS

ssize_t
mongoc_stream_write (mongoc_stream_t *stream,
                    void            *buf,
                    size_t           count,
                    int32_t          timeout_msec);

PARAMETERS

stream
    A mongoc_stream_t \&.

buf The buffer to write.

count
    The number of bytes to write.

timeout_msec
    The number of milliseconds to wait before failure, a timeout of 0 will not block. If negative, use the default timeout.

The mongoc_stream_write(3) function shall perform a write to a mongoc_stream_t \&. It's modeled on the API and semantics of write(3) , though the parameters map only loosely.

RETURNS

The mongoc_stream_write function returns the number of bytes write on success. It returns >= 0 and < min_bytes when end-of-file is encountered and -1 on failure. errno is set upon failure.

SEE ALSO

mongoc_stream_read(3)

mongoc_stream_readv(3)

mongoc_stream_writev(3)

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.